Skip to main content
GET
Get an asset by ID
Returns an asset with its current processing status and metadata. Use this endpoint to poll for processing completion after uploading an asset.

Status Lifecycle


Authorizations

x-api-key
string
header
required

API key to be included in the x-api-key header

Path Parameters

id
string<uuid>
required

The ID of the asset to retrieve

Response

Asset details

id
string<uuid>
name
string | null
type
enum<string>
Available options:
AUDIO,
IMAGE,
VIDEO
status
enum<string>

Processing status. Poll until READY before using as B-roll.

Available options:
PROCESSING,
READY,
FAILED
fileUrl
string | null

URL to access the asset. Null while processing.

thumbnailUrl
string | null

URL to a thumbnail image. Null while processing.

createdAt
string<date-time>